# skelety verbální fráze

from rules import Rules

# v mém a Svobodově pojetí je VF skelet (tranzitní), který se zaplňuje dalšími
# prvky
#
# věta pak podle mě vzniká nejdříve naplněním verbálního skeletu, pak vložením
# případných klitik na druhou větnou pozici (do postiniciální) a nakonec
# vložením interpozic
#
# nesamostatná věta se pak vyznačuje přítomností např. tázacího/vztažného
# příslovce, relativa na začátku věty (místo jiného konstituentu)

modals = Rules((
    # Chce/musí/lze to odevzdat zítra (ale *bude lze)
    '(MODAL e g n a m) → (lemma="chtít|muset" e g n a m)',
))

# konstituenty mají volné pořadí, ale ne všechny! tranzitní skelet má pevný
# slovosled, podobně jako příklonky
# tranzitní skelet
# pomocné finitní sloveso, modální sloveso, plnovýznamové sloveso
# Petr si to | bude muset přečíst | znovu
verbals = Rules((
    '(CLAUSE e g n a m) → (k=5 e g n a m)',
    # Nemusely jste chodit, (jestli jste nechtěly)
    '(CLAUSE e g n a m) → (MODAL e g n m) (k=5 a m=F)',
    # jak zakázat v příklonkách préteritní auxiliár?
    '(CLAUSE e g n a m=B) → (lemma=být e g n m=B) (k=5 a m=F)',
    '(CLAUSE e g n a m=B) → (lemma=být e g n m=B) (MODAL m=F) (k=5 a m=F)',
))

# Kabáty se nechávají v předsíni
# Kabáty máte pověšené v předsíni
# Petr bude kuchař
copulas = Rules((
    '(COPULA) → (TODO)',
))

# Bude to muset odevzdat/odevzdávat až za měsíc.
# Bude to odevzdávat až za měsíc.
# Petr bude dělat zkoušku z chemie.
# (bude) ten úkol (muset) nejspíš (odevzdat) až příští měsíc
# [Petr] ten úkol (bude) nejspíš (muset) hodně rychle (odevzdat) tomu učiteli

rules = modals
